Subject: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Nov 2020 20:15:54 +0200

> From: Trevor Bentley <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> Cc: 
> Date: Mon, 30 Nov 2020 18:17:28 +0100
> 
>  3) I ran the built-in emacs profiler.  The profiler memory 
>  results are in the log

Thanks, but this doesn't really measure memory usage.  It just uses
malloc calls as a poor man's replacement for SIGPROF signal, so the
results show a kind of CPU profile, not memory profile.

>  I don't know how to interpret it, but it looks like maybe a
>  periodic timer started by helm is responsible for 3+GB of RAM?

More like it's responsible for most of the CPU activity.

> Also note that the (garbage-collect) call is timed now.  318 
> seconds for this one.

And the automatic GCs were much faster?

Thanks.  I hope Carlos will be able to give some hints based on your
data.